Loading...
Searching...
No Matches
globus_libc.h File Reference

Thread-safe libc macros, function prototypes. More...

`#include "globus_common_include.h"`
`#include "globus_thread.h"`

Go to the source code of this file.

## Functions

char * | globus_libc_join (const char **array, int count)
globus_result_t | globus_libc_contact_string_to_ints (const char *contact_string, int *host, int *count, unsigned short *port)

## Detailed Description

Thread-safe libc macros, function prototypes.

## Function Documentation

## globus_libc_contact_string_to_ints()

globus_result_t globus_libc_contact_string_to_ints | ( | const char * | contact_string,
|  | int * | host,
|  | int * | count,
|  | unsigned short * | port )

convert a numeric contact string to an array of ints

(port is optional and may be NULL. 0 will be passed back if no port is found) host needs to have room for at least 16 ints count will be passed back. 4 for ipv4, 16 for ipv6

## globus_libc_join()

char * globus_libc_join | ( | const char ** | array,
|  | int | count )

create a new string from all of the strings in array

Parameters

  array | an array of strings to concatenate (null entries are skipped)
  count | length of array